## edi0441s.zip

=== setedit/internac/Makefile ===
# 'make languages' will build the language files
# 'make install.languages' installs the language files at the correct place

ifneq ($(strip $(DJDIR)),)
export editor_OS:=DJGPP
endif

# If not DOS then just Linux, no other supported by now
ifeq ($(strip $(editor_OS)),)
export editor_OS:=Linux
endif

srcdir=.
LANGUAGES=es gr
PACKAGE=setedit
prefix=$(DJDIR)
locale_dir=$(prefix)/share/locale

ifeq ($(editor_OS),DJGPP)
po_list_l=@po_list
update_p=update
else
po_list_l=`cat po_list`
update_p=cp
endif

po_subdirs=

CFLAGS=-O

all: $(addsuffix .mo,$(LANGUAGES)) es_iso.mo

es_iso.mo: es_iso.po

es_iso.po: es.po
	cp es.po es_iso.po
	recode 850:iso88591 es_iso.po

ifeq ($(xgettext),)
xgettext=xgettext
endif

ifeq ($(msgmerge),)
msgmerge=msgmerge
endif

ifeq ($(msgfmt),)
msgfmt=msgfmt
endif

ifeq ($(libintl),)
libintl=libintl.a
endif

po_list:
	perl makelist.pl

clean:
	rm -f potfiles.po
	rm -f $(addsuffix .mo,$(LANGUAGES))
	rm -f $(addsuffix .po,$(LANGUAGES))

potfiles.po: po_list 
	$(xgettext) --default-domain=dummy --add-comments --keyword=_ \
	  --keyword=__ --directory=$(srcdir) --omit-header \
	  --add-location $(po_list_l)
	touch dummy.po
	$(update_p) dummy.po $@
	rm dummy.po

T=$(subst /,\,$@)

$(addsuffix .po,$(LANGUAGES)): potfiles.po
	#if not exist $(T) cp $^ $@
	touch $@
	-$(msgmerge) --force-po -o __.pon $@ $^
	-$(update_p) __.pon $@
	rm -f __.pon
	
#$(addsuffix .mo,$(LANGUAGES)): $(msgfmt)

%.mo: %.po
	-$(msgfmt) -o $@ $<


languages: $(addsuffix .mo,$(LANGUAGES))

# This creates the .po files for each language from $(LANGUAGES)
# See the sample translated file de.po, how to translate
languages.src: $(addsuffix .po,$(LANGUAGES))

#if you don't have the fileutils 3.13, you must copy the files manually
%.ins: %.mo
	ginstall -d $(locale_dir)/$*/LC_MESSAGES
	-ginstall $< $(locale_dir)/$*/LC_MESSAGES/$(PACKAGE).mo

install.languages.start:
	rm -f languages.log

install: languages install.languages.start \
			$(addsuffix .ins,$(LANGUAGES))

=== setedit/makes/Makefile ===
srcdir=.
VPATH=$(srcdir)

ifneq ($(strip $(DJDIR)),)
export editor_OS:=DJGPP
endif

# If not DOS then just Linux, no other supported by now
ifeq ($(strip $(editor_OS)),)
export editor_OS:=Linux
endif

editorprjs=amp3 easydiag editor extra inffd librhuti libset sdgcline \
				settv testeasy install infview

allprjs=$(editorprjs) ../mp3/libamp/libamp

%.mak: %.gpr
	gpr2mak $<

editor: makes
	$(MAKE) -f editor.mak

makes: $(addsuffix .mak,$(allprjs))

# That's a problematic rule
#$(addsuffix .mak,$(editorprjs)): rhide.env

force-patch: makes
	perl patchenv.pl

clean:
	rm -f *.mak *.bak *.bkp

clean-o:
	rm -f obj*/*.o

clean-docs:
	cd ../doc; make clean-docs; cd ../makes

infview: makes
	$(MAKE) -f infview.mak

ifeq ($(editor_OS),DJGPP)
scrnsave:
	$(MAKE) -C ../scrnsave

distrib-all: distrib distrib-infview installer

distrib: editor scrnsave
	cd djgpp; compress.bat; cd ..

distrib-infview: infview
	cd djgpp; perl compinf.pl; cd ..

installer: distrib
	$(MAKE) -f install.mak
	cd ../install; perl create.pl; cd ..

#
# Installation prefix: PREFIX, prefix or DJDIR
#
ifneq ($(strip $(PREFIX)),)
inst_prefix=$(PREFIX)
else
 ifneq ($(strip $(prefix)),)
 inst_prefix=$(PREFIX)
 else
 inst_prefix=$(DJDIR)
 endif
endif

install: editor
	cd djgpp; compress.bat --prefix $(inst_prefix) --install; cd ..

install-infview: infview
	cd djgpp; perl compinf.pl --prefix $(inst_prefix) --install; cd ..

else
#
# Installation prefix: PREFIX, prefix or /usr
#
ifneq ($(strip $(PREFIX)),)
inst_prefix=$(PREFIX)
else
 ifneq ($(strip $(prefix)),)
 inst_prefix=$(PREFIX)
 else
 inst_prefix=/usr
 endif
endif

distrib: editor
	cd linux; ./compress.pl --prefix $(inst_prefix); cd ..
   
distrib-infview: infview
	cd linux; perl ./compinf.pl --prefix $(inst_prefix); cd ..

install: editor
	cd linux; ./compress.pl --prefix $(inst_prefix) --install --fhs $(SET_USE_FHS); cd ..

install-infview: infview
	cd linux; perl ./compinf.pl --prefix $(inst_prefix) --install --fhs $(SET_USE_FHS); cd ..
endif

=== setedit/scrnsave/Makefile ===
srcdir=.
VPATH=$(srcdir)

ifneq ($(strip $(DJDIR)),)
export editor_OS:=DJGPP
endif

# If not DOS then just Linux, no other supported by now
ifeq ($(strip $(editor_OS)),)
export editor_OS:=Linux
endif

prjs=fakealle/fakealle plasmlib/plasmlib plasmlib/mixsfake \
		plasma1/ps1 plasma2/ps2 plasma3/ps3 plasma4/ps4

%.mak: %.gpr
	gpr2mak $<

plasmas: makes ps1.exe ps2.exe ps3.exe ps4.exe

libraries:
	$(MAKE) -C plasmlib -f plasmlib.mak
	$(MAKE) -C plasmlib -f mixsfake.mak
	$(MAKE) -C fakealle -f fakealle.mak

ps1.exe: libraries
	$(MAKE) -C plasma1 -f ps1.mak
	-upx -9 plasma1/ps1.exe

ps2.exe: libraries
	$(MAKE) -C plasma2 -f ps2.mak
	-upx -9 plasma2/ps2.exe

ps3.exe: libraries
	$(MAKE) -C plasma3 -f ps3.mak
	-upx -9 plasma3/ps3.exe

ps4.exe: libraries
	$(MAKE) -C plasma4 -f ps4.mak
	-upx -9 plasma4/ps4.exe

makes: $(addsuffix .mak,$(prjs))

clean:
	rm -f */*.mak *.bkp */*.bkp */*.o */*/*.o */*.a */*.exe

clean-o:
	rm -f */*.o */*/*.o */*.a */*.exe

=== setedit/debian/changelog ===
setedit (0.4.39-4) unstable; urgency=low

  * Applied patch from upstream author that allows the documentation to
    be created on systems with a new incompatible version of makeinfo.
    I have made further modifications to the file doc/set.txt because
    it was creating the table of contents twice.
    Also I have commented out the line saying @contents in the files
    doc/editor.tx and doc/sdg.tx because it was doing weird things to
    the table of contents.
    Closes: #53277.

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Thu, 30 Dec 1999 04:25:08 -0300

setedit (0.4.39-3) unstable; urgency=low

  * Now builds the standalone InfoViewer and puts it in a different
    package called infview.

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Tue, 21 Dec 1999 16:11:56 -0300

setedit (0.4.39-2) unstable; urgency=low

  * Standards version 3.1.0.
  * Added Build-Depends.
  * Architecture set to "any" instead of "i386" as requested by
    Roman Hodek. This program isn't tested on other architectures other
    than i386, so, testing is needed and reports of success or failures
    will be apreciated.
    Closes: #50319.
  * Instead of suggesting tetex-bin and tetex-base, now suggests
    texinfo, since the makeinfo program moved from tetex-bin to the
    package texinfo.
  * Call dh_clean without the -k flag in the install target.
  * Don't use install-stamp (in rules file) anymore, to avoid possible
    duplicate strings in maintainer script fragment files (see
    debhelper changelog of version 2.0.56).

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Wed,  1 Dec 1999 13:12:30 -0300

setedit (0.4.39-1) unstable; urgency=low

  * New upstream version:
    - Code page remaping.
    - Man page viewer follows links to other manpages.
    - New Tex and TCL syntax highlights.
    - new 27 code pages supported!
    - Various bugfixes and other enhancements.
  * Now uses new upstream makefile clean target for cleaning.
  * We prevent building of infoviewer to prevent problems by now.

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Tue, 26 Oct 1999 15:07:28 -0300

setedit (0.4.36-2) unstable; urgency=low

  * Better descriptions for the editor (thanks Salvador!).
  * Now Recommends: man.
  * Now has manpage for the "e" symlink (lintian complained).

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Wed, 29 Sep 1999 20:35:49 -0300

setedit (0.4.36-1) unstable; urgency=low

  * New upstream version:
    - Various bugfixes and enhancements.
    - New building system!
  * Modified building system for upstream new building system and FHS
    move.
  * Now requires DEBHelpers 2.0.40.
  * DOC-Base support was not working, now works and also registers INFO
    files.

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Wed, 22 Sep 1999 15:05:37 -0300

setedit (0.4.25-2) unstable; urgency=low

  * Applied patch from upstream author to correct the patchenv.pl perl
    script that was preventing correct compilation.
  * Initial support for docbase (just plain text documentation, more
    will follow), untested.
  * Worked around bug related to the set_new_handler() function that
    was preventing linkage.
  * Now in the rhide.env file, we define SUPPORT_INC to none, to avoid
    linkage of support libraries provided by upstream author and use
    the Debian ones. Removed a little hack on the rules makefile
    because of this.
  * Better maintainer.notes file.
  * Better README.Debian file.
  * Added upstream download information in the copyright file.
  * Added Suggests: grep, doc-base, tetex-bin, tetex-base.
  * Added dh_testversion 1.2.9, because I use dh_links now.
  * The /usr/bin/e symlink was set incorrectly.

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Tue,  1 Jun 1999 15:27:33 -0300

setedit (0.4.25-1) unstable; urgency=low

  * New upstream version:
    - Various bugfixes (a lot due to memory problems reported by the
      YAMD tool).
    - Uses the new version 2 of the PCRE library.
    - Now incorporates the Debian building files.
    - The binary executables are compressed with UPX now (not in Debian
      tough).
    - Updated documentation.
    - Enhanced and killed bugs in the building scripts (partly because
      of the Debian packaging).
    - Added syntax highlight for Python.
    - Now the executable in Linux is called "setedit" instead of "e"
      and "e" is now a symlink to "setedit".
    - Renamed the editor info file from "editor.info" to
      "setedit.info".
    - Renamed the language file from "editor.mo" to "setedit.mo".
    - Now the editor searches for its files in the /usr hierarchy
      instead of only in /usr/local (so, the setting of an environment
      variable is not necessary now).
    - Other minor enhancements.
  * Changed the Debian build scripts to acomodate upstream changes.
  * Now the executable is suid root because this makes significant
    improvements on speed and upstream author says it is safe.
  * Now the Debian build scripts doesn't do a copy and restore of all
    the "makes" directory, instead it just copies and restores after
    compilation the files that change only, so, it builds faster now.

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Thu, 27 May 1999 20:15:24 -0300

setedit (0.4.24-3) unstable; urgency=low

  * Now -pipe option to gcc passed (faster compilation).
  * Dummy gpr2mak script not required anymore.

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Tue, 30 Mar 1999 14:55:13 -0300

setedit (0.4.24-2) unstable; urgency=low

  * Now the executable of the editor is SUID root registered (much more
    faster!).
  * The mp3/libamp/libamp.mak file was not restored to the original on
    the clean-debian target.
  * Now the editor info file is registered in the dir main menu
    info page (I was trying to register it using the debian/info file
    but it doesn't work that way, I am doing it manually but keep the
    debian/info file I was trying to use as debian/info.ex in case
    someone else wants to look in it to see what is wrong with it).


=== setedit/debian/control ===
Source: setedit
Section: editors
Priority: optional
Maintainer: Ivan Baldo <lubaldo@adinet.com.uy>
Build-Depends: perl5, make, rhtvision-dev, gzip, debhelper, libpcre2-dev, zlib1g-dev, texinfo
Standards-Version: 3.1.0

Package: setedit
Section: editors
Architecture: any
Depends: ${shlibs:Depends}
Recommends: man
Suggests: grep, doc-base, texinfo
Description: SET's Editor - An editor for programmers
 SET's Editor is a friendly text editor; it was designed to be used
 by programmers; the main target of the editor is C and C++ code but
 it can be used for other tasks and supports syntax highlight for
 more than 24 languages. It have a user interface very easy to
 understand  for people that used non-UNIX programs (real windows,
 dialogs, buttons, pull-down menues, mouse, etc.).
 .
 Note from Debian packager: if you aren't a programmer take a look
 at this editor anyway, it is really user friendly, easy to use yet
 powerful. Also, it has syntax highlight for a lot of files, macros,
 pseudo macros, and a lot more features.

Package: infview
Section: doc
Architecture: any
Depends: ${shlibs:Depends}
Recommends: man
Suggests: doc-base
Description: SET's InfoViewer - An info documentation browser
 SET's InfoViewer is a friendly text-console-mode GNU Info documentation
 browser. This is the SET's Editor info browser but standalone.

=== setedit/debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testversion 2.0.40
	dh_testdir
# Add here commands to compile the package.
	./configure --prefix=$(shell pwd)/debian/tmp/usr --fhs
	$(MAKE)
	touch build-stamp


clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
# Heh, for cleaning we need to run the configure script in order to create the makefile that cleans! :-)))
	./configure
	$(MAKE) clean
	dh_clean


clean-debian:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	dh_clean


install: build
	dh_testdir
	dh_testroot
	dh_clean
#   dh_installdirs
# Add here commands to install the package into debian/tmp.
	$(MAKE) install
	mv debian/tmp/usr/share/doc/setedit/change.log.gz debian/tmp/usr/share/doc/setedit/changelog.gz
	dh_link usr/share/man/man1/setedit.1.gz usr/share/man/man1/e.1.gz
# We need to move files for other packages than the first one in the control file:
	dh_movefiles -p infview usr/bin/infview usr/share/doc/infview usr/share/infview usr/share/man/man1/infview.1.gz
	mkdir debian/infview/usr/share/info
	cp debian/tmp/usr/share/info/infview.info.gz debian/infview/usr/share/info/infview.info.gz


# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_undocumented e.1 setedit.1
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	chmod 4755 debian/tmp/usr/bin/setedit
	chmod 4755 debian/infview/usr/bin/infview
	dh_suidregister /usr/bin/setedit /usr/bin/infview
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs  This is for libraries.
	dh_md5sums
	dh_builddeb


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
